{
    "perClassFacts": {
        "5": {
            "Clothing ID": {
                "impact": 0.04262389901817135,
                "rank": 2,
                "feature": "Clothing ID",
                "correlation": -0.8673628318569043,
                "type": "NUMERICAL"
            },
            "Class Name": {
                "impact": 0.04067819246492077,
                "rank": 3,
                "feature": "Class Name",
                "positiveCategoricalValue": "Fine gauge",
                "negativeCategoricalValue": "Dresses",
                "infoGain": 0.5332747816129946,
                "type": "CATEGORICAL"
            },
            "Age": {
                "impact": 0.027030223726951786,
                "rank": 4,
                "feature": "Age",
                "correlation": 0.9286609242738074,
                "type": "NUMERICAL"
            },
            "Division Name": {
                "impact": 0.02580753477013085,
                "rank": 5,
                "feature": "Division Name",
                "positiveCategoricalValue": "General Petite",
                "negativeCategoricalValue": "General",
                "infoGain": 0.6640641265641081,
                "type": "CATEGORICAL"
            },
            "Positive Feedback Count": {
                "impact": 0.012254992450697607,
                "rank": 7,
                "feature": "Positive Feedback Count",
                "correlation": -0.7929590123870015,
                "type": "NUMERICAL"
            }
        },
        "4": {
            "Age": {
                "impact": 0.05079496152392712,
                "rank": 2,
                "feature": "Age",
                "correlation": -0.9449627544248982,
                "type": "NUMERICAL"
            },
            "Class Name": {
                "impact": 0.04069451060988485,
                "rank": 3,
                "feature": "Class Name",
                "positiveCategoricalValue": "Knits",
                "negativeCategoricalValue": "Dresses",
                "infoGain": 0.502991034536608,
                "type": "CATEGORICAL"
            },
            "Clothing ID": {
                "impact": 0.03445138403923697,
                "rank": 4,
                "feature": "Clothing ID",
                "correlation": 0.9473356482507297,
                "type": "NUMERICAL"
            },
            "Department Name": {
                "impact": 0.017925508940255325,
                "rank": 5,
                "feature": "Department Name",
                "positiveCategoricalValue": "Tops",
                "negativeCategoricalValue": "Dresses",
                "infoGain": 0.5869725943213221,
                "type": "CATEGORICAL"
            },
            "Positive Feedback Count": {
                "impact": 0.00744603172481054,
                "rank": 6,
                "feature": "Positive Feedback Count",
                "correlation": -0.811957098668069,
                "type": "NUMERICAL"
            },
            "Division Name": {
                "impact": 0.006140465401813061,
                "rank": 7,
                "feature": "Division Name",
                "positiveCategoricalValue": "General Petite",
                "negativeCategoricalValue": "General",
                "infoGain": 0.5255059600009603,
                "type": "CATEGORICAL"
            }
        },
        "3": {
            "Division Name": {
                "impact": 0.041668668357391,
                "rank": 2,
                "feature": "Division Name",
                "positiveCategoricalValue": "General",
                "negativeCategoricalValue": "General Petite",
                "infoGain": 0.6640641265641081,
                "type": "CATEGORICAL"
            },
            "Clothing ID": {
                "impact": 0.04013515448524588,
                "rank": 3,
                "feature": "Clothing ID",
                "correlation": 0.9606644509830339,
                "type": "NUMERICAL"
            },
            "Class Name": {
                "impact": 0.03681933985981149,
                "rank": 4,
                "feature": "Class Name",
                "positiveCategoricalValue": "Dresses",
                "negativeCategoricalValue": "Knits",
                "infoGain": 0.6899437584583995,
                "type": "CATEGORICAL"
            },
            "Department Name": {
                "impact": 0.0298132989997512,
                "rank": 5,
                "feature": "Department Name",
                "positiveCategoricalValue": "Tops",
                "negativeCategoricalValue": "Bottoms",
                "infoGain": 0.5217158895776262,
                "type": "CATEGORICAL"
            },
            "Age": {
                "impact": 0.027546541696039088,
                "rank": 6,
                "feature": "Age",
                "correlation": -0.8859139029887247,
                "type": "NUMERICAL"
            },
            "Positive Feedback Count": {
                "impact": 0.022347005327982707,
                "rank": 7,
                "feature": "Positive Feedback Count",
                "correlation": 0.7957031804053779,
                "type": "NUMERICAL"
            }
        },
        "2": {
            "Age": {
                "impact": 0.04649676068620297,
                "rank": 2,
                "feature": "Age",
                "correlation": 0.8918912407107914,
                "type": "NUMERICAL"
            },
            "Department Name": {
                "impact": 0.041849848730887214,
                "rank": 3,
                "feature": "Department Name",
                "positiveCategoricalValue": "Tops",
                "negativeCategoricalValue": "Bottoms",
                "infoGain": 0.5929533174474745,
                "type": "CATEGORICAL"
            },
            "Division Name": {
                "impact": 0.04107603933685172,
                "rank": 4,
                "feature": "Division Name",
                "positiveCategoricalValue": "General",
                "negativeCategoricalValue": "General Petite",
                "infoGain": 0.6823527286774513,
                "type": "CATEGORICAL"
            },
            "Class Name": {
                "impact": 0.03845546899449247,
                "rank": 5,
                "feature": "Class Name",
                "positiveCategoricalValue": "Dresses",
                "negativeCategoricalValue": "Sweaters",
                "infoGain": 0.5145007660066495,
                "type": "CATEGORICAL"
            },
            "Clothing ID": {
                "impact": 0.024179289063964913,
                "rank": 6,
                "feature": "Clothing ID",
                "correlation": -0.9732727778919703,
                "type": "NUMERICAL"
            }
        },
        "1": {
            "Age": {
                "impact": 0.1337802735154816,
                "rank": 2,
                "feature": "Age",
                "correlation": 0.9833626210030233,
                "type": "NUMERICAL"
            },
            "Class Name": {
                "impact": 0.055614007539096094,
                "rank": 3,
                "feature": "Class Name",
                "positiveCategoricalValue": "Knits",
                "negativeCategoricalValue": "Dresses",
                "infoGain": 0.6087558154473685,
                "type": "CATEGORICAL"
            },
            "Department Name": {
                "impact": 0.0422446399826739,
                "rank": 4,
                "feature": "Department Name",
                "positiveCategoricalValue": "Dresses",
                "negativeCategoricalValue": "Tops",
                "infoGain": 0.5981076277787674,
                "type": "CATEGORICAL"
            },
            "Positive Feedback Count": {
                "impact": 0.022832038114493403,
                "rank": 5,
                "feature": "Positive Feedback Count",
                "correlation": 0.8461536539739907,
                "type": "NUMERICAL"
            },
            "Clothing ID": {
                "impact": 0.015363750541604654,
                "rank": 6,
                "feature": "Clothing ID",
                "correlation": -0.9311249422249542,
                "type": "NUMERICAL"
            }
        }
    }
}